Home

new blend modes for imagepaint + experimental normalmap painting
Closed, ArchivedPublic

Description
This patch adds support for +10 more blendmodes ported mainly from material system. It doesn't add/change file structure, just adds functions in the same manner blendmodes already were there. There's a char(much faster) and float version of each function. For char version of hue,sat,val and color blendmodes there's an internal conversion to float and back.

This patch adds also 3 special modes for blending normalmaps. They have been added experimentally on request on this forum thread:

http://blenderartists.org/forum/showthread.php?t=137830

These modes will be removed on request, since they are really an experiment.
Here is more info about them:
these blendmodes require special - normalmap - brushes, provided in the file nmbrushesp.blend .
Although this way of painting normals is not correct and if used inproperly can end up weird, in some cases can work well. These blendmodes would be also usefull for overlaying whole image normalmaps(in nodes), since they mix the vectors and result always in a normalmap with normalized vectors.

To try out the normalmap painting, just open the .blend file and start painting.
I'd like much more to implement a internal conversion of greyscale images to normalmaps, but don't have time for it now, since it would probably take me a lot time to implement an on-the-fly conversion during painting.
pildanovak (Vilem Novak) added a comment.Via Old WorldOct 30 2008, 11:36 AM
Agh! forgot to select a category for the patch. can anybody add it to tools?
letterrip (Tom Musgrove) added a comment.Via Old WorldMar 31 2012, 6:58 PM
Hi, trying to update the status of the patch tracker. Please respond if this patch is still viable/useful and needs review or if it can be closed.
pildanovak (Vilem Novak) added a comment.Via Old WorldApr 2 2012, 6:48 PM
It can be closed. I think some of it got to svn, the rest was just experimental and was superceeded with bumpmap painting with GLSL.
kevindietrich (Kévin Dietrich) closed this task as "Archived".Via WebJan 30 2014, 9:35 PM

Add Comment